#	Masrv
#	Copyright (C) 2007 Michal Vaner (vorner@ucw.cz)
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	he Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

class splitter:
	def __init__( self, owner ):
		self.__owner = owner
		self.__buffer = ""

	def insert( self, data ):
		self.__buffer = self.__buffer + data#Put them together
		#split to lines
		list = self.__buffer.splitlines( True )
		self.__buffer = list.pop()
		if self.__buffer.endswith( "\n" ) or self.__buffer.endswith( "\r" ):
			list.append( self.__buffer )
			self.__buffer = ""

		for l in list:
			self.__owner.reportLine( l.strip() )
